IO: Internet Browsers

This article applies to Valant IO 

Valant IO allows users to use the most recent versions of Google Chrome and Mozilla Firefox. The most recent versions of the browser are going to give users the best performance and security features. These are the only two supported browsers at this time. 

Please review a list of our full software and hardware requirements for Valant IO.

Valant IO use is not currently supported on Safari, Internet Explorer, or Edge. 

Was this article helpful?

header-top-left-border Created with Sketch.
header-top-right-border Created with Sketch.